<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ServiceBooking extends Model
{
    use \App\Models\Concerns\BelongsToHotel;

    protected $guarded = [];
    protected $casts = [
        'scheduled_at' => 'datetime',
        'paid' => 'boolean',
    ];

    public function service()
    {
        return $this->belongsTo(HotelService::class, 'hotel_service_id');
    }

    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }
}
